package net.northking.cctp.scriptcase.enums;

import net.northking.cctp.common.exception.PlatformError;

public class ErrorMessage implements PlatformError {
    private String msg;
    private Integer code = 20000;

    public ErrorMessage(){

    }
    public ErrorMessage(String msg){
        this.msg = msg;
    }
    public ErrorMessage(Integer code, String msg){
        this.msg = msg;
        this.code = code;
    }
    @Override
    public Integer getCode() {
        return this.code;
    }

    @Override
    public String getMsg() {
        return this.msg;
    }
}
